%global unique_name eu.tiliado.Nuvola

Name:           nuvola-app-google-play-music
Version:        6.0
Release:        1%{?dist}
Summary:        Google Play integration for Nuvola Player
License:        BSD
URL:            https://github.com/tiliado/nuvola-app-google-play-music
Source0:        https://github.com/tiliado/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  nuvolasdk >= 4.7.0
BuildRequires:  python3-six
Requires:       hicolor-icon-theme
Requires:       %{_bindir}/nuvola

BuildArch:      noarch

%description
Integration of Google Play Music into your linux desktop via Nuvola Player.

%prep
%setup -q


%build
./configure --prefix=%{_prefix}
%make_build


%install
%make_install DESTDIR=%{buildroot}

# Register as an application to be visible in the software center
mkdir -p %{buildroot}%{_datadir}/appdata
cp  %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc CHANGELOG.md README.md
%license LICENSE
%{_datadir}/applications/%{unique_name}AppGooglePlayMusic.desktop
%{_datadir}/appdata/%{name}.metainfo.xml
%{_datadir}/icons/*/*/*/%{unique_name}AppGooglePlayMusic.*
%dir %{_datadir}/nuvolaruntime/web_apps
%{_datadir}/nuvolaruntime/web_apps/google_play_music/


%changelog
* Sat Sep 30 2017 Martin Gansser <martinkg@fedoraproject.org> - 6.0-1
- Update to 6.0

* Tue Aug 08 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.19-2
- correct %%{name}.metainfo.xml

* Fri Jul 28 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.19-1
- initial build
